%define base_name	kdemoreartwork
%define theme_name	plastik
%define name		%{base_name}-%{theme_name}
%define version		0.3.3
%define release		1mdk
%define summary		Plastik kstyle and kwin theme for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/usermanager/search.php?username=ceebx
BuildRequires:		libkdebase4
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		libpng-devel , libjpeg62-devel
BuildRequires:		libqt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
"Plastik" is a KDE widget style for KDE 3.x based on the
KDE style dotNET;

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/kde3/plugins/styles/%{theme_name}.*
%{_libdir}/kde3/kwin_%{theme_name}*
%{_datadir}/apps/kstyle/themes/%{theme_name}.themerc
%{_datadir}/apps/kdisplay/color-schemes/Plastik.kcsrc
%{_datadir}/apps/kwin/%{theme_name}.desktop

%changelog
* Mon Sep 01 2003 Laurent Culioli <laurent@pschit.net> 0.3.3-1mdk
- new and probably last version ( plastik is now in kdecvs )
- buildrequires

* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 0.3.1-1mdk
- 0.3.1
- update url

* Mon Aug 25 2003 Laurent Culioli <laurent@pschit.net> 0.2.2-1mdk
- initial release

